%define modname uuid
%define soname %{modname}.so
%define inifile 78_%{modname}.ini

Summary:	UUID support functions for php
Name:		php-%{modname}
Version:	1.1.0
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
Provides:	php-pear-uuid = %{version}
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4


%description
This extension provides functions to generate and analyse universally unique
identifiers (UUIDs). It depends on the external libuuid. This library is
available on most linux  systems, its source is bundled with the ext2fs tools.

%prep

%setup -q -n %{modname}-%{version}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build

mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files
%doc CREDITS tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 1.1.0-3.mga7
+ Revision: 1595953
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1539005
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.1.0-1.mga8
+ Revision: 1463509
- new version 1.1.0

* Mon Oct 21 2019 mokraemer <mokraemer> 1.0.4-9.mga8
+ Revision: 1454935
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1.0.4-7.mga7
+ Revision: 1340469
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.4-6.mga7
+ Revision: 1325893
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-5.mga7
+ Revision: 1300249
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1.0.4-4.mga7
+ Revision: 1217402
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1.0.4-3.mga7
+ Revision: 1181005
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1.0.4-2.mga7
+ Revision: 1177143
- rebuild against php 7

* Fri Jul 21 2017 sander85 <sander85> 1.0.4-1.mga7
+ Revision: 1126268
- New version: 1.0.4

* Fri Feb 12 2016 umeabot <umeabot> 1.0.3-10.mga6
+ Revision: 958489
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-9.mga5
+ Revision: 744217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-8.mga5
+ Revision: 687557
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.3-7.mga5
+ Revision: 616594
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.0.3-6.mga4
+ Revision: 567637
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-5.mga4
+ Revision: 527880
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.3-4.mga4
+ Revision: 442727
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.0.3-3.mga3
+ Revision: 393352
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 377615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 1.0.3-1.mga3
+ Revision: 274872
- upgrade to 1.0.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.2-18.mga2
+ Revision: 223949
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 1.0.2-17.mga1
+ Revision: 48318
- removed buildroot definition from .spec
- imported package php-uuid

